# TODO
# - webapps
# - move cgi binary to /usr/lib/changepassword
# - write changepassword.conf for apache redirection + execution
#
# Conditional build:
%bcond_without	samba	# without samba passwords support
%bcond_without	squid	# without squid passwords support
#
Summary:	ChangePassword
Summary(pl.UTF-8):	ChangePassword - modyfikator haseł
Name:		changepassword
Version:	0.9
Release:	4
License:	GPL
Group:		Networking/Admin
Source0:	http://dl.sourceforge.net/changepassword/%{name}-%{version}.tar.gz
# Source0-md5:	7449a80c65db2e37c0aa3bb709926127
Source1:	pldlogo.png
Patch0:         build.patch
URL:		http://changepassword.sourceforge.net/
Requires:	webserver = apache
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_cgidir		/home/services/httpd/cgi-bin

%description
ChangePassword modifies the passwords of passwd, Samba, and Squid
through the Web. All passwords are syncronized and changed in real
time through browsers like Mozilla, Netscape, IE, Opera, and others.

%description -l pl.UTF-8
ChangePassword modyfikuje hasła dla passwd, Samby i Squida za
pośrednictwem interfejsu WWW. Wszystkie hasła są synchronizowane i
zmieniane w trybie rzeczywistym.

%prep
%setup -q
cp %{SOURCE1} .
tar -xf smbencrypt/libdes-4.04b.tar.gz
%patch0 -p1

%build
%configure \
	--enable-cgidir=%{_cgidir} \
	--enable-language=Polish \
	--enable-logo=pldlogo.png \
	--enable-smbpasswd=/etc/samba/smbpasswd \
	--enable-squidpasswd=/etc/squid/passwd \
%if %{without samba}
	--disable-smbpasswd \
%endif
%if %{without squid}
	--disable-squidpasswd
%endif

%{__make} -C des \
	CC="%{__cc}" \
%ifarch %{ix86}
	DES_INC="asm/dx86-elf.o asm/yx86-elf.o" \
	CFLAG="%{rpmcflags} -DELF"
%else
	CFLAG="%{rpmcflags}"
%endif
install des/libdes.a smbencrypt

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_cgidir}
install -d $RPM_BUILD_ROOT/home/services/httpd/html

install changepassword.cgi $RPM_BUILD_ROOT%{_cgidir}
install %{SOURCE1} $RPM_BUILD_ROOT/home/services/httpd/html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGELOG README TODO
%lang(pt_BR) %doc README.brazilian
%attr(755,root,root) %{_cgidir}/changepassword.cgi
/home/services/httpd/html/pldlogo.png
%changelog
* Fri Feb 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/changepassword.git;a=log;h=master

* Fri Feb 03 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f1d3ae
- rel 4

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> a885375
- Release 3 (by relup.sh)

* Sat May 12 2007 Jakub Bogusz <qboosh@pld-linux.org> acb6316
- FHS fix in comment

* Sat May 12 2007 Jakub Bogusz <qboosh@pld-linux.org> c2d79fe
- use optflags, asm on x86

* Sat May 12 2007 Łukasz Krotowski <lkrotowski@pld-linux.org> a3e6027
- using macro instead of plain make

* Sat May 12 2007 Łukasz Krotowski <lkrotowski@pld-linux.org> 8a2baeb
- libdes is compiled from sources instead of using precompiled version for x86

* Thu Mar 29 2007 Elan Ruusamäe <glen@pld-linux.org> 82cbee6
- revert illegal use of sysconfdir macro
- cosmetics

* Wed Mar 28 2007 domelu <domelu@pld-linux.org> 6d1b227
- rel 2

* Wed Mar 28 2007 domelu <domelu@pld-linux.org> 063deca
- macro

* Wed Mar 28 2007 domelu <domelu@pld-linux.org> 94f281a
- proper dir for enable-smbpasswd

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 718b642
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a1f7bd2
- converted to UTF-8

* Mon Nov 13 2006 sparky <sparky@pld-linux.org> 82ef23e
- don't use %{without ...}, it may not work after inverting bcond

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> df71014
- avoid defining default %attr

* Sun Nov 20 2005 Elan Ruusamäe <glen@pld-linux.org> adbbb0e
- use virtual webserver provide

* Wed Mar 23 2005 Elan Ruusamäe <glen@pld-linux.org> dbc3b4b
- dropped SourceX-size

* Mon Jan 10 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> a54dbd6
- updated to 0.9 (A security fix for a local exploit)

* Fri Oct 22 2004 darekr <darekr@pld-linux.org> d60200f
- updated to 0.8

* Tue Jul 27 2004 ankry <ankry@pld-linux.org> c32054d
- spaces -> tabs

* Tue Jul 27 2004 Sławomir Paszkiewicz <paszczus@pld-linux.org> 3b51dff
- PLD Linux logo

